Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in media-gfx/exiv2: exiv2-0.23-r2.ebuild ChangeLog
Date: Wed, 30 Apr 2014 14:28:33
Message-Id: 20140430142830.203B12004B@flycatcher.gentoo.org
mgorny      14/04/30 14:28:30

  Modified:             exiv2-0.23-r2.ebuild ChangeLog
  Log:
  Fix multilib and Python support. Bug #474654.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.3                  media-gfx/exiv2/exiv2-0.23-r2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild?r1=1.2&r2=1.3

Index: exiv2-0.23-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- exiv2-0.23-r2.ebuild	22 Dec 2013 12:18:11 -0000	1.2
+++ exiv2-0.23-r2.ebuild	30 Apr 2014 14:28:29 -0000	1.3
@@ -1,11 +1,12 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild,v 1.2 2013/12/22 12:18:11 johu Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/exiv2/exiv2-0.23-r2.ebuild,v 1.3 2014/04/30 14:28:29 mgorny Exp $
 
 EAPI=5
-
+AUTOTOOLS_IN_SOURCE_BUILD=1
 PYTHON_COMPAT=( python{2_6,2_7} )
-inherit eutils multilib toolchain-funcs python-single-r1 autotools-multilib
+
+inherit eutils multilib toolchain-funcs python-any-r1 autotools-multilib
 
 DESCRIPTION="EXIF and IPTC metadata C++ library and command line utility"
 HOMEPAGE="http://www.exiv2.org/"
@@ -18,10 +19,10 @@
 IUSE="contrib doc examples nls xmp zlib static-libs $(printf 'linguas_%s ' ${IUSE_LINGUAS})"
 
 RDEPEND="
-	virtual/libiconv
-	nls? ( virtual/libintl )
-	xmp? ( dev-libs/expat )
-	zlib? ( sys-libs/zlib )
+	virtual/libiconv[${MULTILIB_USEDEP}]
+	nls? ( virtual/libintl[${MULTILIB_USEDEP}] )
+	xmp? ( dev-libs/expat[${MULTILIB_USEDEP}] )
+	zlib? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
 "
 
 DEPEND="${RDEPEND}
@@ -31,13 +32,17 @@
 		dev-libs/libxslt
 		virtual/pkgconfig
 		media-gfx/graphviz
-		${PYTHON_DEPEND}
+		${PYTHON_DEPS}
 	)
 	nls? ( sys-devel/gettext )
 "
 
 DOCS=( README doc/ChangeLog doc/cmd.txt )
 
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
 src_prepare() {
 	# convert docs to UTF-8
 	local i
@@ -49,7 +54,6 @@
 	if use doc; then
 		einfo "Updating doxygen config"
 		doxygen 2>&1 >/dev/null -u config/Doxyfile
-		python_convert_shebangs -r 2 doc/templates
 	fi
 
 	if use contrib; then
@@ -59,16 +63,16 @@
 		ln -snf ../../src contrib/organize/exiv2
 		sed -i -e 's:/usr/local/include/.*:/usr/include:g' \
 			-e 's:/usr/local/lib/lib:-l:g' -e 's:-gcc..-mt-._..\.a::g' \
-			contrib/organize/boost.mk
+			contrib/organize/boost.mk || die
 	fi
 
 	# set locale to safe value for the sed commands (bug #382731)
-	sed -i -r "s,(\s+)sed\s,\1LC_ALL="C" sed ,g" src/Makefile
+	sed -i -r "s,(\s+)sed\s,\1LC_ALL="C" sed ,g" src/Makefile || die
 
-	multilib_copy_sources
+	autotools-multilib_src_prepare
 }
 
-src_configure() {
+multilib_src_configure() {
 	local myeconfargs=(
 		$(use_enable nls)
 		$(use_enable xmp)
@@ -76,38 +80,47 @@
 	)
 
 	# plain 'use_with' fails
-	use zlib || myeconfargs+=("${myconf} --without-zlib")
+	use zlib || myeconfargs+=( --without-zlib )
 
 	# Bug #78720. amd64/gcc-3.4/-fvisibility* fail.
-	if [ $(gcc-major-version) -lt 4 ]; then
-		use amd64 && myeconfargs+=("${myconf} --disable-visibility")
+	if [[ ${ABI} == amd64 && $(gcc-major-version) -lt 4 ]]; then
+		myeconfargs+=( --disable-visibility )
 	fi
 
-	autotools-multilib_src_configure
+	autotools-utils_src_configure
 }
 
-src_compile() {
-	autotools-multilib_src_compile
+multilib_src_compile() {
+	emake
 
-	if use contrib; then
-		autotools-multilib_src_compile -C contrib/organize \
-			LDFLAGS="\$(BOOST_LIBS) -L../../src -lexiv2 ${LDFLAGS}" \
-			CPPFLAGS="${CPPFLAGS} -I\$(BOOST_INC_DIR) -I. -DEXV_HAVE_STDINT_H"
-	fi
+	if multilib_is_native_abi; then
+		if use contrib; then
+			emake -C contrib/organize \
+				LDFLAGS="\$(BOOST_LIBS) -L../../src -lexiv2 ${LDFLAGS}" \
+				CPPFLAGS="${CPPFLAGS} -I\$(BOOST_INC_DIR) -I. -DEXV_HAVE_STDINT_H"
+		fi
 
-	use doc && multilib_for_best_abi emake doc
+		use doc && emake doc
+	fi
 }
 
-src_install() {
-	autotools-multilib_src_install
+multilib_src_install() {
+	autotools-utils_src_install
 
-	if use contrib; then
-		autotools-multilib_src_install -C contrib/organize \
-			DESTDIR="${D}" install
+	if multilib_is_native_abi; then
+		if use contrib; then
+			emake DESTDIR="${D}" -C contrib/organize install
+		fi
+
+		use doc && dohtml -r doc/html/.
 	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	prune_libtool_files --all
 
 	use xmp && dodoc doc/{COPYING-XMPSDK,README-XMP,cmdxmp.txt}
-	use doc && multilib_for_best_abi dohtml -r doc/html/.
 	if use examples; then
 		insinto /usr/share/doc/${PF}/examples
 		docompress -x /usr/share/doc/${PF}/examples



1.120                media-gfx/exiv2/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/ChangeLog?rev=1.120&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/ChangeLog?rev=1.120&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/exiv2/ChangeLog?r1=1.119&r2=1.120

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/exiv2/ChangeLog,v
retrieving revision 1.119
retrieving revision 1.120
diff -u -r1.119 -r1.120
--- ChangeLog	22 Dec 2013 12:18:11 -0000	1.119
+++ ChangeLog	30 Apr 2014 14:28:29 -0000	1.120
@@ -1,6 +1,9 @@
 # ChangeLog for media-gfx/exiv2
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/exiv2/ChangeLog,v 1.119 2013/12/22 12:18:11 johu Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/exiv2/ChangeLog,v 1.120 2014/04/30 14:28:29 mgorny Exp $
+
+  30 Apr 2014; Michał Górny <mgorny@g.o> exiv2-0.23-r2.ebuild:
+  Fix multilib and Python support. Bug #474654.
 
   22 Dec 2013; Johannes Huber <johu@g.o> exiv2-0.23-r2.ebuild:
   Fix src_install with USE contrib by Rafał Mużyło <galtgendo@××.pl>, bug